<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('functions_func.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions with links to the classes they belong to:</div>

<h3><a id="index__5F" name="index__5F"></a>- _ -</h3><ul>
<li>_calculate_covariance_vector()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#aae8bb3d11aff0e09abd06a04c79ce919">melon::GaussianProcess&lt; T &gt;</a></li>
<li>_calculate_layer_activation()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a52bc8b4239937c6290e3a2b59dad9f24">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_calculate_prediction()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a863db6c1f3e0937db86ecbb59cacf635">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_gaussian_process.html#a6e0cf68a04c497a3b5f6ac9ba23f9105">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#ac6565c54b8f61f6ad7e03dab3f56d5b0">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_calculate_variance()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a2f9be500790e7a7f8f01e905bab43286">melon::GaussianProcess&lt; T &gt;</a></li>
<li>_check_if_layer_indicator()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a6013cbdce74b67a4313bf237064771fd">melon::AnnParserCsv</a></li>
<li>_csv_to_double_matrix()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#addcc0d8ec8d50f6b46e00255074eb2e5">melon::AnnParserCsv</a></li>
<li>_csv_to_string_matrix()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a62c3571187204d00db093bffcea3e78b">melon::AnnParserCsv</a></li>
<li>_decision_function()&#160;:&#160;<a class="el" href="classmelon_1_1_support_vector_machine.html#abf0be2b3dd923d3594af7d93eecc9ca8">melon::SupportVectorMachine&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine_one_class.html#a3855ffdd842f23e3df4ed1f308cc16f0">melon::SupportVectorMachineOneClass&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_regression.html#a44ff96300fb49cea7bf8d5b70c2c7104">melon::SupportVectorRegression&lt; T &gt;</a></li>
<li>_euclidian_distance()&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_matern.html#a85fac54714c648155ccb76ca58b140dc">melon::kernel::Matern&lt; T, V &gt;</a></li>
<li>_format_file_path()&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#a38cba45beb94be7372469315f017576c">melon::ModelParser</a></li>
<li>_format_folder_path()&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#a2631bf777f02fa3deefa3391affedf0b">melon::ModelParser</a></li>
<li>_get_layer_index_from_indicator()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a695e63a6f420c2a3b7cd5fd4a692a282">melon::AnnParserCsv</a></li>
<li>_parse_bias_weights()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a176bb1733a3cd18a2b2338b545bcca20">melon::AnnParserCsv</a></li>
<li>_parse_config_file()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a9435ee55ff3adb985753db65e7d6317b">melon::AnnParserCsv</a></li>
<li>_parse_input_weights()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a885305c2d03d62791104e15b3c85e666">melon::AnnParserCsv</a></li>
<li>_parse_layer_weights()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#abb1c95707f3e36cba0e03ff10523290f">melon::AnnParserCsv</a></li>
<li>_parse_scalers()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a72fa1cdae520c5091c34b66a11f0ba1e">melon::AnnParserCsv</a></li>
<li>_parse_vector_double()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_xml.html#a9823c0bbad2748b2796f0243b85e1b2f">melon::AnnParserXml</a></li>
<li>_parse_vector_int()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_xml.html#a95f925940a1f91a62e1a571d60d91f09">melon::AnnParserXml</a></li>
<li>_quadratic_distance()&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_matern.html#a23dc40f992932497afc16a00f20f2e77">melon::kernel::Matern&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html#a566162476b5a4d85bf3433131bc517ae">melon::kernel::StationaryKernel&lt; T, V &gt;</a></li>
<li>_relu()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a81e55a0f8f437563f86d3e896c1db9c0">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_relu6()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#ab7ba2a702f03f392778f7d05a43ce356">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_set_constraints()&#160;:&#160;<a class="el" href="classmelon_1_1_melon_model.html#ab783bd628a80774149c34f0e2b8f8f48">melon::MelonModel&lt; T &gt;</a></li>
<li>_set_data_object()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#ae98f7e952148f9d8aa22d2450f50f9db">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_gaussian_process.html#a8eec30fd8d4072723776d87b5c510b15">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_melon_model.html#ae1d72d9bbe5993be3d9230395abc0310">melon::MelonModel&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_mulfil_gp.html#ac01195845825a9bc17cc684beeb673ce">melon::MulfilGp&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#ad1a0be4db1d52bf32f1651142a422a22">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_set_kernel()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#aefa8c94b875d1c3162326c04fc3794e9">melon::GaussianProcess&lt; T &gt;</a></li>
<li>_string_to_activation_function()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser.html#a3c68338943ed45fc0415214743a9260a">melon::AnnParser</a></li>
<li>_string_to_scaler_parameter()&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#ab2a5a119986e39a4f951d9952e5d209e">melon::ModelParser</a></li>
<li>_string_to_scaler_type()&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#a079c906eccf340590701dba8d6a776d9">melon::ModelParser</a></li>
<li>_tanh()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#acc52bba26e3affaf5bd8bdd97367130f">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_tanh_reformulation_1()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#aa827bc95b61702119170c403edb86f9c">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_tanh_reformulation_2()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#af2ce30b35e0450243cdcc4f77649b9a7">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_tanh_reformulation_3()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#aa135bf5d528c1b99a63f0cf3ddceb7ac">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_tanh_reformulation_4()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#ac33420287de3773a2ab4dfab022287cf">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_update_kernel()&#160;:&#160;<a class="el" href="classmelon_1_1_support_vector_machine.html#a4b02218e266feb6cced0584c6f965a96">melon::SupportVectorMachine&lt; T &gt;</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
